ubuntustudio-system(2)

NAME
ubuntustudio-system - The system end of ubuntustudio-controls

SYNOPSIS
ubuntustudio-system command

DESCRIPTION
Ubuntustudio-system is the system half of ubuntustudio-controls. It runs commands as system that the gui requires. Only one command can be sent at a time. The commands are effective over reboot.

Security is ensured by not taking any random text as options or commands. Rather commands are limited to those listed.

COMMANDS
fix - Fixes rt permissions for the user running ubuntustudio-controls

boost - Turns CPU BOOST on

noboost - Turns CPU BOOST off

powersave - Sets CPU governor to powersave

ondemand - Sets CPU governor to ondemand or powersave if ondemand is not supported

performance - Sets CPU Governor to performance

OPTIONS
ubuntustudio-system does not take any options.

SEE ALSO
ubuntustudio-controls(1), autojack(2)

BUGS
No known bugs.

AUTHOR
Len Ovens (len@ubuntustudio.org)